Subject: Re: [rtcweb] I-D Action: draft-ietf-rtcweb-overview-00.txt

From: Dzonatas Sol <[email-masked]>
Date: Fri, 01 Jul 2011 08:10:58 -0700

Hi, I read the entire overview. Only one concern, in 2.4 Terminology:

 >  Real-time media:  Media where generation of content and display of
 >      content are intended to occur closely together in time (on the
 >     order of no more than hundreds of milliseconds).

Can that just read:

 >  Real-time media:  Media where generation of content and display of
 >      content are intended to occur closely together in a given time 
scale.

I've found early specification of date systems may affect assets in ways 
unintended (or implied). There is no simple cure, so I think this is 
clearer without the noted "hundreds of milliseconds", there.

Some have tried to build "authoritative" dates from such real-time 
mechanics. Others pass that date thinking it is part of the asset. I've 
seen it happen, so I'm just thinking it would be nice to have some way 
to say that was not intended, yet I haven't found any.

On 06/30/2011 10:52 PM, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Real-Time Communication in WEB-browsers Working Group of the IETF.
>
> 	Title           : Overview: Real Time Protocols for Brower-based Applications
> 	Author(s)       : Harald T. Alvestrand
> 	Filename        : draft-ietf-rtcweb-overview-00.txt
> 	Pages           : 13
> 	Date            : 2011-06-30
>
>     This document gives an overview and context of a protocol suite
>     intended for use with real-time applications that can be deployed in
>     browsers -&quot;real time communication on the Web&quot;.
>
>     It intends to serve as a starting and coordination point to make sure
>     all the parts that are needed to achieve this goal are findable, and
>     that the parts that belong in the Internet protocol suite are fully
>     specified and on the right publication track.
>
>     This work is an attempt to synthesize the input of many people, but
>     makes no claims to fully represent the views of any of them.  All
>     parts of the document should be regarded as open for discussion,
>     unless the RTCWEB chairs have declared consensus on an item.
>
>     This document is a candidate to become a work item of the RTCWEB
>     working group.
>
>
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-rtcweb-overview-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-ietf-rtcweb-overview-00.txt
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>    

-- 
--- http://twitter.com/Dzonatas_Sol ---
Web Development, Software Engineering
Ag-Biotech, Virtual Reality, Consultant

---

From: Ton Kalker <[email-masked]>
Date: Fri, 1 Jul 2011 19:22:30 -0700

One minor remark: the definition of echo cancelation in this document
is non-standard. The current definition addresses only a particular
instance of echo. The general definition would be the suppression of
acoustical feedback loops below perceptually noticeable levels.

Ton

Sent from my tPad

e ton.kalker@{huawei.com,gmail.com,ieee.org}
c +1.831.917.1350

On Jun 30, 2011, at 10:52 PM, "[email-masked]"
<[email-masked]> wrote:

>   browsers - &quot;real time communication on the Web&quot;.
>

---

From: Dzonatas Sol <[email-masked]>
Date: Sun, 03 Jul 2011 11:27:41 -0700

Before another glossary action happens, let me get this in (can't wait 

scale.

"""
Real-time media:  Media where generation of content and display of 
content are intended to occur closely together in a given time scale 
between known ahead-of-time (AOT) rate and known just-in-time (JIT) rate.
"""

On 07/01/2011 08:10 AM, Dzonatas Sol wrote:
> I've found early specification of date systems may affect assets in 
> ways unintended (or implied). There is no simple cure, so I think this 
> is clearer without the noted "hundreds of milliseconds", there.
>
> mechanics. Others pass that date thinking it is part of the asset. 
> I've seen it happen, so I'm just thinking it would be nice to have 
> some way to say that was not intended, yet I haven't found any.
>
>> A New Internet-Draft is available from the on-line Internet-Drafts 
>> directories. This draft is a work item of the Real-Time Communication 
>> in WEB-browsers Working Group of the IETF.
>>

--

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 11 Jul 2011 16:21:43 +0200

Speaking with editor hat on:

Unless someone else chimes in, I am not going to act on these requests.

I regard the tying of "real-time" to "hundreds of milliseconds" as 
important - I have been in discussions where people have started arguing 
about single-millisecond delays and in discussions where people argue 
that "lag is not important as long as delivery occurs at a constant 
rate" - both are, to my mind, inappropriate and/or irrelevant for our 
use cases.

With regard to "in a given time scale between known ahead-of-time (AOT) 
rate and known just-in-time (JIT) rate", I don't understand its intention.

On 07/03/11 20:27, Dzonatas Sol wrote:
>> ways unintended (or implied). There is no simple cure, so I think 
>> this is clearer without the noted "hundreds of milliseconds", there.
>>
>>> directories. This draft is a work item of the Real-Time 
>>> Communication in WEB-browsers Working Group of the IETF.
>>>

---

From: Dzonatas Sol <[email-masked]>
Date: Mon, 11 Jul 2011 21:50:51 -0700

Chair,

The scale factor is known here:

http://mathworld.wolfram.com/AffineTransformation.html

Thanks.

P.S. Next year is ok for review on this, thanks again. Engineers may 
want to test few "same" types of values, or "same" rates, like 
milliseconds, and revise.

On 07/11/2011 07:21 AM, Harald Alvestrand wrote:
> important - I have been in discussions where people have started 
> arguing about single-millisecond delays and in discussions where 
> people argue that "lag is not important as long as delivery occurs at 
> a constant rate" - both are, to my mind, inappropriate and/or 
> irrelevant for our use cases.
>
> With regard to "in a given time scale between known ahead-of-time 
> (AOT) rate and known just-in-time (JIT) rate", I don't understand its 
> intention.
>
>> Before another glossary action happens, let me get this in (can't 
>> wait for tomorrow):
>>
>>> >      content are intended to occur closely together in a given 
>>> time scale.
>>>

--